The RemoteResyncStartedEvent is fired when a remote client has started a resynchronization process after being offline.

experimental

### Hierarchy

- RemoteResyncStartedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- model
- name
- sessionId
- user
- NAME

## Properties

### model

model: RealTimeModel

The model for which the remote client has started a resync.

### name

name: string = RemoteResyncStartedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### OptionalsessionId

sessionId: string

The session id of the remote client.

### Optionaluser

user: DomainUser

The user of the remote client.

### StaticNAME

NAME: "remote_resync_started" = "remote_resync_started"